import request from '@/utils/request'
import config from '@/utils/config'

export function getPromotionUserInfos(query) {
  return request({
    url: config.BASE_URL + '/getPromotionUserInfos',
    method: 'post',
    params: query
  })
}
export function getPromotionOfflines(query) {
  return request({
    url: config.BASE_URL + '/getPromotionOfflines',
    method: 'post',
    params: query
  })
}
export function getQueryPromotionOfflines() {
  return request({
    url: config.BASE_URL + '/getQueryPromotionOfflines',
    method: 'get'
  })
}
export function delPromotionOffline(query) {
  return request({
    url: config.BASE_URL + '/delPromotionOffline',
    method: 'get',
    params: query
  })
}
export function insertPromotionOffline(query) {
  return request({
    url: config.BASE_URL + '/insertPromotionOffline',
    method: 'post',
    params: query
  })
}
export function deletePromotionImg(query) {
  return request({
    url: config.BASE_URL + '/deletePromotionImg',
    method: 'get',
    params: query
  })
}
export function getOnePromotionOfflines(query) {
  return request({
    url: config.BASE_URL + '/getOnePromotionOfflines',
    method: 'get',
    params: query
  })
}
export function updatePromotionOffline(query) {
  return request({
    url: config.BASE_URL + '/updatePromotionOffline',
    method: 'post',
    params: query
  })
}
export function getPromotionDCUserInfos(query) {
  return request({
    url: config.BASE_URL + '/getPromotionDCUserInfos',
    method: 'post',
    params: query
  })
}
export function getPromotionDCs() {
  return request({
    url: config.BASE_URL + '/getPromotionDCs',
    method: 'get'
  })
}
export function groupPromotionChannelLogs(query) {
  return request({
    url: config.BASE_URL + '/groupPromotionChannelLogs',
    method: 'POST',
    params: query
  })
}
export function getPromotionChannel() {
  return request({
    url: config.BASE_URL + '/getPromotionChannel',
    method: 'get'
  })
}
export function getPClCharts(query) {
  return request({
    url: config.BASE_URL + '/getPClCharts',
    method: 'POST',
    params: query
  })
}

